package com.jeeplus.modules.sg.managementcenter.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;

public class Disclose  extends ActEntity<Disclose> {
    private static final long serialVersionUID = 1L;
    private String conId;
    private String channel;
    private String capacity;
    private String sceneSize;
    private String capacitySize;
    private String hiddenDanger;
    private String influenceConstruction;
    private String projectRepetition;
    private String implemented;
    private String transformer;
    private String lineName;
    private String quantities;
    private String rodNumber;
    private String administrationType;
    private String politicalProblem;
    private String precondition;
    private String placementMode;
    private String productionDate;
    private String IntegrateModule;
    private String needReplace;
    private String overallTransformation;

    private String explanationOfNecessity;//必要性问题说明
    private String inconsistentDescription;//图纸现场不一致说明
    private String policyHandlingInstructions;//政策处理说明

    public String getExplanationOfNecessity() {
        return explanationOfNecessity;
    }

    public void setExplanationOfNecessity(String explanationOfNecessity) {
        this.explanationOfNecessity = explanationOfNecessity;
    }

    public String getInconsistentDescription() {
        return inconsistentDescription;
    }

    public void setInconsistentDescription(String inconsistentDescription) {
        this.inconsistentDescription = inconsistentDescription;
    }

    public String getPolicyHandlingInstructions() {
        return policyHandlingInstructions;
    }

    public void setPolicyHandlingInstructions(String policyHandlingInstructions) {
        this.policyHandlingInstructions = policyHandlingInstructions;
    }

    public String getConId() {
        return conId;
    }

    public void setConId(String conId) {
        this.conId = conId;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getSceneSize() {
        return sceneSize;
    }

    public void setSceneSize(String sceneSize) {
        this.sceneSize = sceneSize;
    }

    public String getCapacitySize() {
        return capacitySize;
    }

    public void setCapacitySize(String capacitySize) {
        this.capacitySize = capacitySize;
    }

    public String getHiddenDanger() {
        return hiddenDanger;
    }

    public void setHiddenDanger(String hiddenDanger) {
        this.hiddenDanger = hiddenDanger;
    }

    public String getInfluenceConstruction() {
        return influenceConstruction;
    }

    public void setInfluenceConstruction(String influenceConstruction) {
        this.influenceConstruction = influenceConstruction;
    }

    public String getProjectRepetition() {
        return projectRepetition;
    }

    public void setProjectRepetition(String projectRepetition) {
        this.projectRepetition = projectRepetition;
    }

    public String getImplemented() {
        return implemented;
    }

    public void setImplemented(String implemented) {
        this.implemented = implemented;
    }

    public String getTransformer() {
        return transformer;
    }

    public void setTransformer(String transformer) {
        this.transformer = transformer;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getQuantities() {
        return quantities;
    }

    public void setQuantities(String quantities) {
        this.quantities = quantities;
    }

    public String getRodNumber() {
        return rodNumber;
    }

    public void setRodNumber(String rodNumber) {
        this.rodNumber = rodNumber;
    }

    public String getAdministrationType() {
        return administrationType;
    }

    public void setAdministrationType(String administrationType) {
        this.administrationType = administrationType;
    }

    public String getPoliticalProblem() {
        return politicalProblem;
    }

    public void setPoliticalProblem(String politicalProblem) {
        this.politicalProblem = politicalProblem;
    }

    public String getPrecondition() {
        return precondition;
    }

    public void setPrecondition(String precondition) {
        this.precondition = precondition;
    }

    public String getPlacementMode() {
        return placementMode;
    }

    public void setPlacementMode(String placementMode) {
        this.placementMode = placementMode;
    }

    public String getProductionDate() {
        return productionDate;
    }

    public void setProductionDate(String productionDate) {
        this.productionDate = productionDate;
    }

    public String getIntegrateModule() {
        return IntegrateModule;
    }

    public void setIntegrateModule(String integrateModule) {
        IntegrateModule = integrateModule;
    }

    public String getNeedReplace() {
        return needReplace;
    }

    public void setNeedReplace(String needReplace) {
        this.needReplace = needReplace;
    }

    public String getOverallTransformation() {
        return overallTransformation;
    }

    public void setOverallTransformation(String overallTransformation) {
        this.overallTransformation = overallTransformation;
    }

    @Override
    public String toString() {
        return "Disclose{" +
                "conId='" + conId + '\'' +
                ", channel='" + channel + '\'' +
                ", capacity='" + capacity + '\'' +
                ", sceneSize='" + sceneSize + '\'' +
                ", capacitySize='" + capacitySize + '\'' +
                ", hiddenDanger='" + hiddenDanger + '\'' +
                ", influenceConstruction='" + influenceConstruction + '\'' +
                ", projectRepetition='" + projectRepetition + '\'' +
                ", implemented='" + implemented + '\'' +
                ", transformer='" + transformer + '\'' +
                ", lineName='" + lineName + '\'' +
                ", quantities='" + quantities + '\'' +
                ", rodNumber='" + rodNumber + '\'' +
                ", administrationType='" + administrationType + '\'' +
                ", politicalProblem='" + politicalProblem + '\'' +
                ", precondition='" + precondition + '\'' +
                ", placementMode='" + placementMode + '\'' +
                ", productionDate='" + productionDate + '\'' +
                ", IntegrateModule='" + IntegrateModule + '\'' +
                ", needReplace='" + needReplace + '\'' +
                ", overallTransformation='" + overallTransformation + '\'' +
                ", explanationOfNecessity='" + explanationOfNecessity + '\'' +
                ", inconsistentDescription='" + inconsistentDescription + '\'' +
                ", policyHandlingInstructions='" + policyHandlingInstructions + '\'' +
                '}';
    }
}
